%global audacious 3.9
%global _exclude_files_from_autoprov %{_libdir}/audacious/.*\\.so

Name:		audacious-plugins
Version:	3.9
Release:	%mkrel 1
Summary:	Audacious Media Player core plugins
Summary(de):	Kernplugins für den Audacious Mediaplayer
Source0:	%{name}-%{version}-gtk3.tar.xz
License:	BSD GPLv2+
Group:		Sound
Url:		http://audacious-media-player.org/
BuildRoot:	%{defaultbuildroot}
BuildRequires:  audacious-devel >= %{audacious}
BuildRequires:  %{_lib}bs2b-devel
BuildRequires:  %{_lib}cddb-devel
BuildRequires:  %{_lib}cue-devel
BuildRequires:  %{_lib}curl-devel
BuildRequires:  %{_lib}dbus-glib-1_2-devel
BuildRequires:  %{_lib}faad2-devel
BuildRequires:  %{_lib}ffmpeg-devel
BuildRequires:  %{_lib}flac8-devel
BuildRequires:  %{_lib}fluidsynth1-devel
BuildRequires:	gtk+3.0-devel
BuildRequires:  %{_lib}lirc-devel
BuildRequires:  %{_lib}mms-devel
BuildRequires:	%{_lib}mpg123-devel
BuildRequires:  %{_lib}neon-devel
BuildRequires:  %{_lib}notify-devel
BuildRequires:	%{_lib}vorbis0-devel
BuildRequires:	%{_lib}wavpack-devel
BuildRequires:  libpthread-stubs
Requires:	audacious >= %{audacious}
Obsoletes:	audacious-plugin-esd

%description
Audacious is a media player based on the BMP music playing application.
Its primary goals are usability and usage of current desktop standards.

This contains the basic plugin distribution. Audacious is useless
without them.

%package -n audacious-codecs
Group:		Sound
Summary:	Install this to get all codecs for Audacious
Requires:	audacious >= %{audacious}
Requires:	%{name} >= %{version}-%{release}
Requires:	audacious-codec-cdaudio
Requires:	audacious-codec-flac
Requires:	audacious-codec-gameconsole
Requires:       audacious-codec-mp4
Requires:	audacious-codec-mpeg
Requires:	audacious-codec-oggvorbis
Requires:       audacious-codec-psf
Requires:	audacious-codec-vortex

%description -n audacious-codecs
Install this package to install all the codecs for Audacious

%package -n audacious-codec-cdaudio
Group:		Sound
Summary:	CD Audio codec for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-codec-cdaudio
CD Audio codec for Audacious

%package -n audacious-codec-flac
Group:		Sound
Summary:	Free Lossless Audio codec for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-codec-flac
Free Lossless Audio codec for Audacious

%package -n audacious-codec-gameconsole
Group:		Sound
Summary:	Game Console codec for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-codec-gameconsole
Game Console codec for Audacious. Based on Game_Music_Emu 0.5.2.
This codec supports these file types: AY, GBS, GYM, HES, NSF
NSFE, SAP, SPC, VGM, VGZ.

%package -n audacious-codec-mp4
Group:          Sound
Summary:        MP4 codec for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-codec-mp4
mp4 codec for Audacious.

%package -n audacious-codec-mpeg
Group:		Sound
Summary:	MPEG codec for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-codec-mpeg
MPEG codec for Audacious.
Install this if you want to play MP3s with Audacious.

%package -n audacious-codec-oggvorbis
Group:		Sound
Summary:	Ogg Vorbis codec for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-codec-oggvorbis
Ogg Vorbis codec for Audacious.

%package -n audacious-codec-psf
Group:          Sound
Summary:        PSF codec for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-codec-psf
PSF codec for Audacious.

%package -n audacious-codec-vortex
Group:		Sound
Summary:	Vortex codec for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-codec-vortex
Vortex codec for Audacious.

%package -n audacious-plugin-adplug
Summary:	AdLib player plugin for audacious
Group:		Sound
Requires:	audacious >= %{audacious}

%description -n audacious-plugin-adplug
AdPlug is an Audacious input plugin It uses the AdPlug AdLib sound
player library to play back a wide range of AdLib (OPL2) music file
formats on top of an OPL2 emulator.  No OPL2 chip is required for
playback.

%package -n audacious-plugin-amidi
Group:		Sound
Summary:	Amidi plugin for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-plugin-amidi
Amidi plugin for Audacious

%package -n audacious-plugin-jack
Group:		Sound
Summary:	Audacious output plugin for the jack sound server
Requires:	audacious >= %{audacious}

%description -n audacious-plugin-jack
Audacious audio output plugin for the jack audio
server(http://jackit.sourceforge.net).

%package -n audacious-plugin-metronome
Group:		Sound
Summary:	Metronome plugin for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-plugin-metronome
Metronome plugin for Audacious

To use it, add a URL:
tact://beats*num/den
e.g., tact://77 to play 77 beats per minute
or tact://60*3/4 to play 60bpm in 3/4 tacts

%package -n audacious-plugin-modplug
Group:		Sound
Summary:	Modplug plugin for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-plugin-modplug
Modplug plugin for Audacious

%package -n audacious-plugin-tonegen
Group:		Sound
Summary:	Tone generator plugin for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-plugin-tonegen
Tone generator plugin for Audacious

To use this plugin, go to a URL:
tone://frequency1;frequency2;frequency3;..
e.g., tone://2000;2005 to play a 2000Hz tone and a 2005Hz tone

%package -n audacious-plugin-visualizations
Group:		Sound
Summary:	Visualizations for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-plugin-visualizations
Visualizations for Audacious

%package -n audacious-plugin-wavpack
Group:		Sound
Summary:	Wavpack input plugin for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-plugin-wavpack
This is a wavpack input plugin for Audacious based on libwavpack.

%package -n audacious-skins
Group:		Sound
Summary:	Skins for Audacious
Requires:	audacious >= %{audacious}

%description -n audacious-skins
Skins for Audacious

%prep
%setup -qn %{name}-%{version}-gtk3

%build
autoreconf -fis
%configure2_5x \
  --disable-rpath \
  --enable-statusicon \
  --disable-sid \
  --disable-soxr
%make

%install
%__rm -rf %{buildroot}
%makeinstall_std
%find_lang %name

%clean
%__rm -rf %{buildroot}

%files -f %name.lang
%defattr(-,root,root)
%doc COPYING
%dir %{_libdir}/audacious
%{_libdir}/audacious/Container
%{_libdir}/audacious/Effect
%{_libdir}/audacious/General
%exclude %{_libdir}/audacious/General/skins.so
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/ffaudio.so
%{_libdir}/audacious/Input/sndfile.so
%{_libdir}/audacious/Input/xsf.so
%dir %{_libdir}/audacious/Output
%{_libdir}/audacious/Output/alsa.so
%{_libdir}/audacious/Output/filewriter.so
%{_libdir}/audacious/Output/oss4.so
%{_libdir}/audacious/Output/pulse_audio.so
%{_libdir}/audacious/Output/sdlout.so
%{_libdir}/audacious/Transport

%files -n audacious-codecs
%defattr(-,root,root)

%files -n audacious-codec-cdaudio
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/cdaudio-ng.so

%files -n audacious-codec-flac
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/flacng.so

%files -n audacious-codec-gameconsole
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/console.so

%files -n audacious-codec-mp4
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/aac-raw.so

%files -n audacious-codec-mpeg
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/madplug.so

%files -n audacious-codec-oggvorbis
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/vorbis.so

%files -n audacious-codec-psf
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/psf2.so

%files -n audacious-codec-vortex
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/vtx.so

%files -n audacious-plugin-adplug
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/adplug.so

%files -n audacious-plugin-amidi
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/amidi-plug.so

%files -n audacious-plugin-jack
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Output
%{_libdir}/audacious/Output/jack-ng.so

%files -n audacious-plugin-metronome
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/metronom.so

%files -n audacious-plugin-modplug
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/modplug.so

%files -n audacious-plugin-tonegen
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/tonegen.so

%files -n audacious-plugin-visualizations
%defattr(-,root,root)
%{_libdir}/audacious/Visualization
%exclude %{_libdir}/audacious/Visualization/gl-spectrum.so

%files -n audacious-plugin-wavpack
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/Input
%{_libdir}/audacious/Input/wavpack.so

%files -n audacious-skins
%defattr(-,root,root)
%dir %{_libdir}/audacious
%dir %{_libdir}/audacious/General
%{_libdir}/audacious/General/skins.so
%{_datadir}/audacious/Skins

%changelog
* Wed Oct 04 2017 ghostbunny <ghostbunny at gmx dot de> 3.9-1pclos2017
- 3.9

* Wed Mar 08 2017 bb2 <bb2> - 3.8.2-1pclos2017
- update for new ffmpeg

* Fri Dec 23 2016 ghostbunny <ghostbunny at gmx dot de> 3.8.1-1pclos2017
- 3.8.1

* Sun Sep 25 2016 ghostbunny <ghostbunny at gmx dot de> 3.8-1pclos2016
- 3.8

* Sun Apr 03 2016 marcin82 <marcin82 at vp.pl> 3.7.2-1pclos2016
- update
- added %%_exclude_files_from_autoprov macro
- changes in spec file

* Tue Jan 05 2016 bb <bb> 3.7.1-1pclos2016
- update

* Sun Apr 04 2015 bb <bb> 3.6.1-1pclos2015
- update

* Mon Mar 30 2015 bb <bb> 3.6-2pclos2015
- remove broken gl-spectrum.so for now otherwise
- the idiots will go on and on about it not working
- enable depreciated status icon
